import request from '@/utils/request'

// 查询国际开箱数据列表
export function listVInternationalUnpacking (query) {
  return request({
    url: '/system/vInternationalUnpacking/list',
    method: 'get',
    params: query
  })
}

// 查询国际开箱数据详细
export function getVInternationalUnpacking (id) {
  return request({
    url: '/system/vInternationalUnpacking/' + id,
    method: 'get'
  })
}

// 新增国际开箱数据
export function addVInternationalUnpacking (data) {
  return request({
    url: '/system/vInternationalUnpacking',
    method: 'post',
    data: data
  })
}

// 修改国际开箱数据
export function updateVInternationalUnpacking (data) {
  return request({
    url: '/system/vInternationalUnpacking',
    method: 'put',
    data: data
  })
}

// 删除国际开箱数据
export function delVInternationalUnpacking (id) {
  return request({
    url: '/system/vInternationalUnpacking/' + id,
    method: 'delete'
  })
}

// 导出国际开箱数据
export function exportVInternationalUnpacking (query) {
  return request({
    url: '/system/vInternationalUnpacking/export',
    method: 'get',
    params: query
  })
}
